Subject: Re: I: gcc ... -U_WIN32 ... may cause problems
From: [email-masked] (Geoffrey Noer)

10 Sep 1998 15:12:55 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Mumit Khan <[email-masked]>
Cc: "Larry Hall (RFK Partners Inc)" <[email-masked]>, [email-masked]

On Wed, Sep 02, 1998 at 04:28:19PM -0500, Mumit Khan wrote:
[...]
> I think you are confusing the term "Microsoft specifc predefined macros"
> with "these macros are only defined for Microsoft compilers". I've plucked
> 3 out of the list, and 2 of those are defined by *every* C++ compiler 
> for W95/NT.
> 
> The only MS compiler specific macro among these 3 is _MSC_VER, which GNU
> does not and will not define.

This is (and was) my interpretation as well.  Since both Cygwin32 and
Mingw32 configs have access to the Win32 API, I believe both should
define _WIN32.

I would be ok with adding "-Dunix" when the Cygwin32 config is being
used if that would help people.

-- 
Geoffrey Noer
[email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".